	const_def 2 ; object constants
	const DAWN_TOWN_GROUNDKEEPER

DawnTownCaveRoom_MapScripts:
	db 0 ; scene scripts
        db 0 ; callbacks

GroundkeeperTalk:
	faceplayer DAWN_TOWN_GROUNDKEEPER
	opentext
        checkevent EVENT_MET_GROUNDKEEPER
	iffalse .TellMyMom
        checkevent EVENT_GOT_TM30_SHADOW_BALL
	iffalse .GiveShadowBall
	writetext .GroundkeeperTalkText
	jump .done

.TellMyMom:
	writetext .TellMyMomText
        setevent EVENT_MET_GROUNDKEEPER
	jump .done

.GiveShadowBall:
	writetext .GiveShadowBallText
	verbosegiveitem TM_SHADOW_BALL
	iffalse .done
        setevent EVENT_GOT_TM30_SHADOW_BALL
.done:
	waitbutton
	closetext
	end

.GroundkeeperTalkText:
	text "I really like this"
	line "place."
	para "It is dark, damp"
	line "and there's plenty"
	cont "of ghosts!"
	done

.TellMyMomText:
	text "Wow! How did you"
	line "find me?"
	para "I was sleeping in"
	line "a grave, and a"
	cont "GENGAR attacked me"
	cont "in my dreams."
	para "When I woke up, a"
	line "mystical force"
	cont "took me there."
	para "I decided to live"
	line "here with the"
	cont "ghosts. They eat"
	cont "my dreams, and I"
	cont "have the coolest"
	cont "nightmares!"
	para "By the way, can"
	line "you tell my mom"
	cont "I'm not coming"
	cont "back?"
	para "I will take care"
	line "of the graveyard!"
	done

.GiveShadowBallText:
	text "I haven't seen"
	line "GENGAR today<…>"
	para "Take this, it was"
	line "its preferred toy."
	done

DawnTownCaveRoom_MapEvents:
	db 0, 0 ; filler

	db 1 ; warp events
	warp_event 2, 0, DAWN_TOWN_CAVE_0F, 2

	db 0 ; coord events
	db 0 ; bg events
	db 1 ; object events
	object_event  5,  3, SPRITE_FALKNER, SPRITEMOVEDATA_WANDER, 3, 3, -1, -1, PAL_NPC_SILVER, OBJECTTYPE_SCRIPT, 0, GroundkeeperTalk, 0
